•   
  • 1
  • 127
  • 128
  • 129(current)
  • 130
  • 131
  • 495
  •   
  Thread Closed
v18 LibreELEC Testbuilds for RaspberryPi (Kodi 18.0)
@Milhouse
How do I properly build an image using the scripts and config files included in a .tar file? I'm just trying to build an image identical to your latest build with all newclock5 patches and stuff.
I tried building with "PROFILE=pi2 ./autobuild.sh" command but the resulting image is not fully functional (HEVC doesn't work) and Kodi is an older version from current LE master...
@smp1 should work, presumably something went wrong when packaging kodi if not building with latest Kodi. Assuming you have the latest oebuild.tar.gz and have followed the steps here then it should just work (and build the "latest" version). I update oebuild.tar.gz after each public build and currently it should match the contents of #0602 as far as scripts and config is concerned.

If you really want to build a specific version from a tar file then you need to run the "config/reset.sh" script you'll find within the tar as this will prepare your LibreELEC repo to build using the exact same commits and packages - however this is really only useful/necessary when trying to reproduce a build issue (and generally requires a good understanding of the build scripts/build system so not something I'd recommend).

If you didn't set a github username and password/personal access token then you may be exceeding the github hourly rate limit.

Beyond that I can't really comment without seeing your build log (post a link to the file called "log") as that will help me to understand what went wrong.
Texture Cache Maintenance Utility: Preload your texture cache for optimal UI performance. Remotely manage media libraries. Purge unused artwork to free up space. Find missing media. Configurable QA check to highlight metadata issues. Aid in diagnosis of library and cache related problems.
Here's what I did:
mkdir ~/projects
cd ~/projects
git clone https://github.com/LibreELEC/LibreELEC.tv
then copy the scripts into ~/projects
then run "PROFILE=pi2 ./autobuild.sh"

Here's the log https://pastebin.com/qFQzbsfB
@smp1 you've missed the final command from the "build steps":
Code:
mv build.conf.sample build.conf
Everyone seems to miss that. I thought I'd already added a sane default for OE_KODI_VER, however reviewing that code I now realise the default will only be set if build.conf exists (which isn't very useful). I've corrected that error and pushed a new oebuild.tar.gz (the fix is in "functions") so pull the new oebuild.tar.gz and/or create build.conf.
Texture Cache Maintenance Utility: Preload your texture cache for optimal UI performance. Remotely manage media libraries. Purge unused artwork to free up space. Find missing media. Configurable QA check to highlight metadata issues. Aid in diagnosis of library and cache related problems.
Hi milhouse!

I've update shadertoy visualization from the lastest version:

http://milhouse.libreelec.tv/builds/addo...lhouse.zip

The config dialog is still not working, i've tried to enable RANDOM visualization from setting.xml from .kodi/userdata/addon_data/visualization.shadertoy

<settings>
<setting id="lastactiveidx" value="0" />
<setting id="lastfilehash" value="0" />
<setting id="lastpresetidx" value="5" />
<setting id="random" value="1" />
<setting id="randomise" value="true" />
</settings>

Any help on how to entable the random value from settings.xml?

Thanks!
Hi,

i've updated to Version #530 a few days ago.
But now i've got a Problem with Audio Upscaling. Since Update Kodi ignores Upscaling Settings to 5.1 wich worked perfect before.
Has there anything changed? (i was on an older Versionabout #320 if i remember right)

Thanks for your help Smile
(2017-06-03, 10:27)CygnusHyoga Wrote: Hi milhouse!

I've update shadertoy visualization from the lastest version:

http://milhouse.libreelec.tv/builds/addo...lhouse.zip

The config dialog is still not working, i've tried to enable RANDOM visualization from setting.xml from .kodi/userdata/addon_data/visualization.shadertoy

I don't see a way to select a random preset at all. I think this comes via Kodi rather than the add-on itself - there's a VIS_ACTION_RANDOM_PRESET message that the addon handles but I've no idea how that is configured.

As far as config settings are concerned, there are none - this is all there is:
Code:
<?xml version="1.0" encoding="UTF-8"?>
<settings>
    <setting id="lastpresetidx" type="integer" default="0" visible="false" />
</settings>
and that setting is hidden from the user.
Texture Cache Maintenance Utility: Preload your texture cache for optimal UI performance. Remotely manage media libraries. Purge unused artwork to free up space. Find missing media. Configurable QA check to highlight metadata issues. Aid in diagnosis of library and cache related problems.
(2017-06-03, 11:09)friedensstifter Wrote: i've updated to Version #530 a few days ago.
But now i've got a Problem with Audio Upscaling. Since Update Kodi ignores Upscaling Settings to 5.1 wich worked perfect before.
Has there anything changed? (i was on an older Versionabout #320 if i remember right)

Identifying the exact build where this stopped working would be very useful.
(2017-06-03, 07:12)Milhouse Wrote: Everyone seems to miss that. I thought I'd already added a sane default for OE_KODI_VER, however reviewing that code I now realise the default will only be set if build.conf exists (which isn't very useful). I've corrected that error and pushed a new oebuild.tar.gz (the fix is in "functions") so pull the new oebuild.tar.gz and/or create build.conf.
I created a build.conf file and now it builds properly and everything works. However, it still only builds with kodi-423072a. Is this normal?
(2017-06-03, 13:28)popcornmix Wrote:
(2017-06-03, 11:09)friedensstifter Wrote: i've updated to Version #530 a few days ago.
But now i've got a Problem with Audio Upscaling. Since Update Kodi ignores Upscaling Settings to 5.1 wich worked perfect before.
Has there anything changed? (i was on an older Versionabout #320 if i remember right)

Identifying the exact build where this stopped working would be very useful.

Hello popcornmix,

tried some older Versions. Problems seems to be anywhere between Build #325 and #401. I hope this helps.

Thanks Smile
(2017-06-03, 17:46)friedensstifter Wrote: tried some older Versions. Problems seems to be anywhere between Build #325 and #401. I hope this helps.

The exact build would be useful. You should be able to narrow it down in about 7 tests (each time picking half way between the newest working and oldest not-working builds).
(2017-06-03, 18:31)popcornmix Wrote:
(2017-06-03, 17:46)friedensstifter Wrote: tried some older Versions. Problems seems to be anywhere between Build #325 and #401. I hope this helps.

The exact build would be useful. You should be able to narrow it down in about 7 tests (each time picking half way between the newest working and oldest not-working builds).

Yeah, tested it earlier with less time. So,it's Version #328 which causes problems with audio upscaling. #327 works fine ...
If you need more information just let me know.
(2017-06-03, 19:03)friedensstifter Wrote: Yeah, tested it earlier with less time. So,it's Version #328 which causes problems with audio upscaling. #327 works fine ...
If you need more information just let me know.

Thanks. Looks like the removal of ADSP had an unwanted effect.
I've had a close look and have added a partial revert of the commit that looks most likely.
Please test with tonight's build and report if that fixes it.
(2017-06-03, 19:16)popcornmix Wrote:
(2017-06-03, 19:03)friedensstifter Wrote: Yeah, tested it earlier with less time. So,it's Version #328 which causes problems with audio upscaling. #327 works fine ...
If you need more information just let me know.

Thanks. Looks like the removal of ADSP had an unwanted effect.
I've had a close look and have added a partial revert of the commit that looks most likely.
Please test with tonight's build and report if that fixes it.

Great, i will have a look at the new version tonight and will report tomorrow. Thanks for that great work?

Is there a paypal donation possibility? Smile
(2017-06-03, 17:39)smp1 Wrote: However, it still only builds with kodi-423072a. Is this normal?

Yes - the Kodi source tarball is the latest, however it re-uses the same rev as that configured in the package.mk to avoid unnecessary complications (not least of which would mean having to host the new tarball on a webserver - re-using the existing rev makes that unnecessary).
Texture Cache Maintenance Utility: Preload your texture cache for optimal UI performance. Remotely manage media libraries. Purge unused artwork to free up space. Find missing media. Configurable QA check to highlight metadata issues. Aid in diagnosis of library and cache related problems.
  •   
  • 1
  • 127
  • 128
  • 129(current)
  • 130
  • 131
  • 495
  •   
  Thread Closed
 
Thread Rating:
  • 24 Vote(s) - 4.67 Average



Logout Mark Read Team Forum Stats Members Help
LibreELEC Testbuilds for RaspberryPi (Kodi 18.0)4.6724